%define languageenglazy Slovenian
%define languagecode    sl
%define lc_ctype        sl_SI

%define upstream_version 20151225

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 1
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            https://extensions.openoffice.org/en/project/slovenian-dictionary-package-slovenski-paket-slovarjev
Source0:        https://sourceforge.net/projects/aoo-extensions/files/3280/10/pack-sl.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Requires:       hunspell

Requires:       locales-sl
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

%files
%{_datadir}/hunspell/*


%changelog
* Mon Jan 27 2020 tex - 0.20151225.1-1pclos2020
- import from france

